API Reference
Read the authenticated participant's durable private invitation inbox
Returns only unexpired invitations published to the caller’s account before the common close time.
GET
/
v1
/
invitations
Read the authenticated participant's durable private invitation inbox
curl --request GET \
--url https://agora.kairos.trade/v1/invitations \
--header 'Authorization: Bearer <token>'import requests
url = "https://agora.kairos.trade/v1/invitations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agora.kairos.trade/v1/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invitations": [
{
"auction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invitation": {
"auction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market_id": "<string>",
"outcome_id": "<string>",
"side": "BUY",
"fill_instruction": "FOK",
"min_fill_quantity_atoms": 123,
"max_fill_quantity_atoms": 123,
"execution_objective_quantity_atoms": 123,
"objective_mode": "STOP_AT_TARGET",
"close_time": "2023-11-07T05:31:56Z",
"venue_scope": [
"<string>"
],
"customer_class": "<string>",
"allocation_policy": "PRICE_FIRST",
"price_tick_atoms": 123,
"quantity_tick_atoms": 123,
"minimum_leg_atoms": 123,
"maximum_mm_concentration_bps": 123,
"private_fee_profile": {
"fee_profile_id": "<string>",
"fee_profile_version": "<string>",
"model": "NONE",
"rate_ppm": 0,
"fixed_fee_atoms": 123,
"minimum_fee_atoms": 1,
"prediction_fee_scale_ppm": 0,
"rounding_mode": "AGAINST_ORIGINATOR",
"valid_until": "2023-11-07T05:31:56Z"
},
"target_fill_quantity_atoms": 123,
"originator_identity": "<string>"
},
"close_time": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "unauthorized",
"message": "authentication required"
}{
"error": "internal_routing_headers_forbidden"
}{
"error": "invitation_inbox_unavailable"
}Was this page helpful?
⌘I
Read the authenticated participant's durable private invitation inbox

